extractr docs
Steam

Search the store

GET
/steam/search

Search Steam store apps by name; returns price, discount and review ratio.

Costs 1 credit per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

q*string
Length1 <= length
limit?integer
Range1 <= value <= 50
Default10

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/steam/search?q=roguelike+deckbuilder"
{  "query": "string",  "total": 0,  "results": [    {      "appid": 0,      "name": "string",      "price_gbp": 19.99,      "discount_percent": 0,      "released": "2024-08-30",      "positive_ratio": 0.93    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}